/*
Layout

Markup:
<div class="l-container debug">
  <h2>Container</h2>
  <div class="l-row">
    <div class="l-col">
    <h3>Col/6</h3>
    </div>
    <div class="l-col">
        <h3>Col/6</h3>
    </div>
  </div>
  <div class="l-row">
    <div class="l-col">
    <h3>Col/4/12</h3>
    </div>
    <div class="l-col">
        <h3>Col4/12</h3>
    </div>
    <div class="l-col">
        <h3>Col4/12</h3>
    </div>
  </div>
  <div class="l-row">
    <div class="l-col">
      <h3>Col/3/12</h3>
    </div>
    <div class="l-col">
        <h3>Col3/12</h3>
    </div>
    <div class="l-col">
        <h3>Col3/12</h3>
    </div>
    <div class="l-col">
        <h3>Col3/12</h3>
    </div>
  </div>
  <div class="over-size">
    <h3>Oversize</h3>
  </div>
  <div class="full">
    <h3>Full</h3>
  </div>
</div>

Styleguide base.layout
*/
$susy: (
  flow: ltr,
  math: fluid,
  output: float,
  gutter-position: after,
  container: auto,
  container-position: center,
  columns: 12,
  gutters: 1/2,
  column-width: false,
  global-box-sizing: $global-box-sizing,
  last-flow: to,
  debug: (
    image: hide,
    color: rgba(#66f, .25),
    output: background,
    toggle: top right,
  ),
  use-custom: (
    background-image: true,
    background-options: false,
    box-sizing: true,
    clearfix: false,
    rem: true,
  )
);

.debug * > * {
  background-color: rgba(silver, 0.5);
  padding: 0.5rem;
}

$l-gutter: gutter() !default;
$l-nb-col: 12 !default;
$max-width: 1100px !default;

.l-container{
  max-width: $max-width;
  margin-right: auto;
  margin-left: auto;
  padding: 0 2.5rem;
}

.over-size{
  min-width: 100%;
  margin: 0 -1.5rem;
}

.full{
  min-width: 100%;
  margin: 0 -2.5rem;
}

.l-row{
  display: flex;
  flex-direction: column;
  margin-left: -#{$l-gutter};
  margin-right: -#{$l-gutter};
  @include media('>phone'){
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;

  }
}
.l-row.l-justify-content-start{
  justify-content: flex-start;
}
.l-row.l-justify-content-center{
  justify-content: center;
}
.l-row.l-justify-content-end{
  justify-content: flex-end;
}
.l-row.l-align-items-flex-end{
  align-items: flex-end;
}

.l-col{
  flex: 1 0 0 ;
  max-width: 100%;
  margin: 0 #{$l-gutter};
  @include media('>phone'){

  }
}

@for $i from 1 through $l-nb-col {
  $width: span($i);
  .l-col-#{$i}{
    flex: 0 1 calc(#{$width} - #{$l-gutter * 2});
    max-width: calc(#{$width} - #{$l-gutter * 2});
  }
}

@for $i from 1 through $l-nb-col {
  $width: span($i);
  .l-offset-#{$i}{
    margin-left: #{$width};
  }
  @include media('<=phone'){
    $width: span($i);
    .l-xs-offset-#{$i}{
      margin-left: #{$width};
    }
  }
  @include media('>phone','<=tablet'){
    $width: span($i);
    .l-sm-offset-#{$i}{
      margin-left: #{$width};
    }
  }
  @include media('>tablet','<=desktop'){
    $width: span($i);
    .l-md-offset-#{$i}{
      margin-left: #{$width};
    }
  }
  @include media('>desktop'){
    $width: span($i);
    .l-lg-offset-#{$i}{
      margin-left: #{$width};
    }
  }
}

@include media('>phone'){
  @for $i from 1 through $l-nb-col {
    $width: span($i);
    .l-sm-#{$i}{
      flex: 0 1 calc(#{$width} - #{$l-gutter * 2});
      max-width: calc(#{$width} - #{$l-gutter * 2});
    }
  }
}

@include media('>tablet'){
  @for $i from 1 through $l-nb-col {
    $width: span($i);
    .l-md-#{$i}{
      flex: 0 1 calc(#{$width} - #{$l-gutter * 2});
      max-width: calc(#{$width} - #{$l-gutter * 2});
    }
  }
}

@include media('>=desktop'){
  @for $i from 1 through $l-nb-col {
    $width: span($i);
    .l-lg-#{$i}{
      flex: 0 1 calc(#{$width} - #{$l-gutter * 2});
      max-width: calc(#{$width} - #{$l-gutter * 2});
    }
    .l-lg-offset-#{$i}{
      margin-left: #{$width};
    }
  }
}
